import EditorPage from '@/editor/EditorPage'
import LearningObjectiveForm from '@/editor/LearningObjectiveForm'
import LearningObjectives from '@/editor/LearningObjectives'
import { memo } from 'react'

const LearningObjectivesPage = () => (
  <EditorPage
    title='Define objectives and activities'
    description='Description.'
    prevPath='/editor/create/exercise-information'
    nextPath='/editor/create/injects'
  >
    <LearningObjectives />
    <LearningObjectiveForm
      buttonProps={{
        minimal: true,
        text: 'Add new learning objective',
        alignText: 'left',
        icon: 'plus',
        style: { padding: '1rem', width: '100%' },
      }}
    />
  </EditorPage>
)

export default memo(LearningObjectivesPage)
